Bug 260595 - Mk/bsd.default-versions.mk: Change PHP default version to 8.0
Summary: Mk/bsd.default-versions.mk: Change PHP default version to 8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Port Management Team
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-12-21 20:41 UTC by Torsten Zuehlsdorff
Modified: 2022-01-24 23:58 UTC (History)
3 users (show)

See Also:
antoine: exp-run+


Attachments
Patch for changing default PHP version to 8.0 (1.30 KB, patch)
2021-12-21 20:41 UTC, Torsten Zuehlsdorff
no flags Details | Diff
Change DEFAULT_VERSION in php.mk (720 bytes, application/mbox)
2021-12-30 05:08 UTC, Muhammad Moinur Rahman
no flags Details
Change DEFAULT_VERSION of php (3.18 KB, patch)
2021-12-30 20:42 UTC, Muhammad Moinur Rahman
no flags Details | Diff
Change DEFAULT_VERSION of php (3.14 KB, patch)
2022-01-04 15:46 UTC, Muhammad Moinur Rahman
ale: maintainer-approval+
Details | Diff
Change DEFAULT_VERSION of php (3.14 KB, patch)
2022-01-18 20:51 UTC, Muhammad Moinur Rahman
no flags Details | Diff
Change DEFAULT_VERSION of php (2.30 KB, patch)
2022-01-20 18:26 UTC, Muhammad Moinur Rahman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Torsten Zuehlsdorff freebsd_committer 2021-12-21 20:41:46 UTC
Created attachment 230294 [details]
Patch for changing default PHP version to 8.0

PHP 7.4 has only 23 days of active support left + 1 year of security only.

So let's jump to PHP 8.0.

Please to an exp-run for changing the default version.

We need to check everything with DEPENDS on or USES php.
Comment 1 mark burdett 2021-12-22 18:42:57 UTC
It'd be a good idea to also get this fix in: bug #251252
Comment 2 Antoine Brodin freebsd_committer 2021-12-23 10:58:54 UTC
There is an issue with xapian:

Error: compute_deps_pkg failed to lookup pkgname for databases/php-xapian@php80 processing package xapian-bindings-1.4.18 from databases/xapian-bindings -- Is SUBDIR+=php-xapian@php80 missing in databases/Makefile and does the port provide the 'php80' FLAVOR?
Comment 3 Muhammad Moinur Rahman freebsd_committer 2021-12-29 03:01:18 UTC
(In reply to Antoine Brodin from comment #2)
databases/php-xapian is php 7.X.X only.
Comment 4 Muhammad Moinur Rahman freebsd_committer 2021-12-30 05:08:20 UTC
Created attachment 230551 [details]
Change DEFAULT_VERSION in php.mk

There is one more file that needs to be edited to change the DEFAULT version and that is the Mk/Uses/php.mk
Comment 5 Antoine Brodin freebsd_committer 2021-12-30 09:02:58 UTC
This is still not enough,  databases/xapian-bindings  still has to be patched.

Also please combine all patches in 1.  I don't want multiple patches for 1 exp-run.
Comment 6 Muhammad Moinur Rahman freebsd_committer 2021-12-30 13:11:57 UTC
(In reply to Antoine Brodin from comment #5)
I am preparing a patch with both in one. 

Do you want me to put a patch for databases/xapian-bindings in it too? Or should that go to a different patch?
Comment 7 Antoine Brodin freebsd_committer 2021-12-30 19:05:43 UTC
(In reply to Muhammad Moinur Rahman from comment #6)
1 patch covering everything (php.mk bsd.default-versions.mk and xapian)
Comment 8 Muhammad Moinur Rahman freebsd_committer 2021-12-30 20:42:16 UTC
Created attachment 230571 [details]
Change DEFAULT_VERSION of php

- Add UPDATING
- Change default version in bsd.default-version.mk
- Change default clause to php80 ext-dir
- Move sodium to common
- Fix databases/xapian-bindings
Comment 10 Muhammad Moinur Rahman freebsd_committer 2022-01-02 08:26:57 UTC
(In reply to Antoine Brodin from comment #9)
That is related to bug #260744 and can be safely ignored as php81 has not yet been introduced in the php.mk and bsd.default-versions.mk and the errors are related to that.
Comment 11 Antoine Brodin freebsd_committer 2022-01-04 14:07:44 UTC
The xapian patch is not good,  the exp-run still fails to start:

[00:01:52] Error: compute_deps_pkg failed to lookup pkgname for databases/php-xapian@php80 processing package xapian-bindings-1.4.18 from databases/xapian-bindings -- Is SUBDIR+=php-xapian@php80 missing in databases/Makefile and does the port provide the 'php80' FLAVOR?
[00:01:52] Error: compute_deps_pkg failed to lookup existing pkgname for databases/php-xapian@php80 processing package xapian-bindings-1.4.18
Comment 12 Muhammad Moinur Rahman freebsd_committer 2022-01-04 15:46:16 UTC
Created attachment 230697 [details]
Change DEFAULT_VERSION of php

- Add UPDATING
- Change default version in bsd.default-version.mk
- Change default clause to php80 ext-dir
- Move sodium to common
- Fix databases/xapian-bindings
Comment 14 commit-hook freebsd_committer 2022-01-10 18:24:34 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=80f7a0af110fd78a76d430df8d2915501bd8d1c5

commit 80f7a0af110fd78a76d430df8d2915501bd8d1c5
Author:     Muhammad Moinur Rahman <bofh@FreeBSD.org>
AuthorDate: 2022-01-10 18:21:05 +0000
Commit:     Muhammad Moinur Rahman <bofh@FreeBSD.org>
CommitDate: 2022-01-10 18:23:24 +0000

    Mark ports to IGNORE with new php81

    - Mark some additional ports to IGNORE with the upcoming php DEFAULT
      php80 [1]

    PR: 260595 [1]
    Reported by: portmgr (exp-run) [1]
    Approved by: portmgr (infrastructure blanket)
    Sponsored by:   Bounce Experts

 databases/xapian-bindings/Makefile                    | 1 +
 deskutils/moregroupware/Makefile                      | 2 +-
 dns/dns-ui/Makefile                                   | 1 +
 graphics/php-facedetect/Makefile                      | 1 +
 multimedia/php-pHash/Makefile                         | 4 ++--
 net-mgmt/glpi-plugins-fusioninventory-server/Makefile | 1 +
 www/elgg/Makefile                                     | 3 ++-
 www/glpi/Makefile                                     | 1 +
 www/ilias/Makefile                                    | 1 +
 www/ilias6/Makefile                                   | 1 +
 www/phpgroupware/Makefile                             | 2 +-
 www/phpmyfaq/Makefile                                 | 1 +
 www/thundersnarf/Makefile                             | 1 +
 www/tt-rss/Makefile                                   | 1 +
 www/zend-framework1/Makefile                          | 2 +-
 15 files changed, 17 insertions(+), 6 deletions(-)
Comment 15 mark burdett 2022-01-10 19:48:25 UTC
Would be excellent if someone has a moment to review this patch: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=251252

Without it, ports that depend on www/mod_php80 e.g. thru USES=php:web cannot be installed.
Comment 16 Muhammad Moinur Rahman freebsd_committer 2022-01-15 09:51:05 UTC
(In reply to Antoine Brodin from comment #13)
Hi .. Is there any updates?
Comment 18 commit-hook freebsd_committer 2022-01-18 13:49:39 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a0b5eb450491d8893bdfed9e50fcc67683d4619f

commit a0b5eb450491d8893bdfed9e50fcc67683d4619f
Author:     Muhammad Moinur Rahman <bofh@FreeBSD.org>
AuthorDate: 2022-01-18 13:45:15 +0000
Commit:     Muhammad Moinur Rahman <bofh@FreeBSD.org>
CommitDate: 2022-01-18 13:45:15 +0000

    www/glpi: Ignore with php80

    - Requires sodium extension which is not available in php80
    - Pet portclippy and portfmt

    PR:             260595
    Reported by:    portmgr (exp-run)
    Approved by:    portmgr (infrastructure blanket)
    Sponsored by:   Bounce Experts

 www/glpi/Makefile | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)
Comment 19 Torsten Zuehlsdorff freebsd_committer 2022-01-18 14:44:15 UTC
> - Requires sodium extension which is not available in php80

Are you sure? Because its right here: security/php80-sodium :)
Comment 20 Muhammad Moinur Rahman freebsd_committer 2022-01-18 14:46:26 UTC
(In reply to Torsten Zuehlsdorff from comment #19)
Looks like when I committed 81 in the php.mk I moved sodium to the common _USE_PHP_ALL hence this patch is unable to find it now. So let's skip for now and wait for the exp-run to finish. :(
Comment 21 Antoine Brodin freebsd_committer 2022-01-18 15:50:33 UTC
(In reply to Muhammad Moinur Rahman from comment #20)
Which exp-run?  the results at comment #17 were from the finished exp-run
Comment 22 Muhammad Moinur Rahman freebsd_committer 2022-01-18 15:54:37 UTC
(In reply to Antoine Brodin from comment #21)
I mean rerun after comment #18.
Comment 23 Antoine Brodin freebsd_committer 2022-01-18 15:59:18 UTC
In this case please refresh the patch,  I often have rejects applying.
Comment 24 Muhammad Moinur Rahman freebsd_committer 2022-01-18 20:51:18 UTC
Created attachment 231140 [details]
Change DEFAULT_VERSION of php

Refresh patch as some other commits modified the previous patch.
Comment 25 Antoine Brodin freebsd_committer 2022-01-20 18:13:37 UTC
I don't know how you refresh the patch,  it still has rejects
Comment 26 Muhammad Moinur Rahman freebsd_committer 2022-01-20 18:26:18 UTC
Created attachment 231186 [details]
Change DEFAULT_VERSION of php

Refresh patch
Comment 27 Antoine Brodin freebsd_committer 2022-01-24 19:25:17 UTC
Exp-run looks fine
Comment 28 commit-hook freebsd_committer 2022-01-24 23:48:26 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2e1fdc173831debc50f2c25b86e202c0a4967334

commit 2e1fdc173831debc50f2c25b86e202c0a4967334
Author:     Muhammad Moinur Rahman <bofh@FreeBSD.org>
AuthorDate: 2022-01-24 23:41:06 +0000
Commit:     Muhammad Moinur Rahman <bofh@FreeBSD.org>
CommitDate: 2022-01-24 23:41:06 +0000

    Change PHP default version to 8.0

    - databases/xapian-bindings is a mata port which do not have
      php:flavors and is unable to be MARKED to IGNORE as one of it's
      dependent databases/php-xapian do not support php8.0. Hence this
      creates a circular dependency and it fails to start bulk building. So
      for now remove PHP from OPTIONS_DEFAULT.

    PR:             260595
    Approved by:    ale portmgr(exp-run)
    Sponsored by:   Bounce Experts

 Mk/Uses/php.mk                     |  4 ++--
 Mk/bsd.default-versions.mk         |  2 +-
 UPDATING                           | 16 ++++++++++++++++
 databases/xapian-bindings/Makefile |  4 +++-
 4 files changed, 22 insertions(+), 4 deletions(-)